Bug 218969

Summary: [TextureMapper] Hidden surface removal issue for nesting transform-style:perserve-3d in Snow Stack demo
Product: WebKit Reporter: Fujii Hironori <Hironori.Fujii>
Component: PlatformAssignee: Fujii Hironori <Hironori.Fujii>
Status: RESOLVED FIXED    
Severity: Normal CC: cgarcia, cmarcelo, don.olmstead, ews-watchlist, Hironori.Fujii, kondapallykalyan, luiz, magomez, webkit-bug-importer, zan
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
[Screenshot] WinCairo port
none
WIP patch
none
Patch none

Description Fujii Hironori 2020-11-15 22:22:06 PST
Created attachment 414195 [details]
[Screenshot] WinCairo port

[TextureMapper] nested transform-style:perserve-3d support

1. Go to http://www.satine.org/research/webkit/snowleopard/snowstack.html
2. Press the space bar to enlarge an image.
3. Press right key to move

Far layers are painted on the front layers.
Comment 1 Fujii Hironori 2020-11-15 22:23:04 PST
Created attachment 414196 [details]
WIP patch
Comment 2 Fujii Hironori 2020-11-17 20:37:13 PST
Created attachment 414406 [details]
Patch
Comment 3 Fujii Hironori 2020-11-19 11:48:46 PST
Could anyone review? Any suggestions? Any objections?
Comment 4 Miguel Gomez 2020-11-20 02:40:42 PST
Nice Fujii!
The patch looks good to me, fixes the issue and doesn't break any test. Let's merge it :)
Comment 5 Fujii Hironori 2020-11-20 03:21:39 PST
Comment on attachment 414406 [details]
Patch

Thank you very much!
Comment 6 EWS 2020-11-20 03:48:52 PST
Committed r270103: <https://trac.webkit.org/changeset/270103>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 414406 [details].
Comment 7 Radar WebKit Bug Importer 2020-11-20 03:49:18 PST
<rdar://problem/71622502>